> For the complete documentation index, see [llms.txt](https://docs.aquanow.io/aquanow/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aquanow.io/aquanow/legacy/data-objects-and-statuses/transaction-objects/approval-objects.md).

# Approval Objects

### ApprovalsObject

<table><thead><tr><th width="224.33333333333331">      Parameter</th><th width="168" align="center">Type</th><th>                            Description</th></tr></thead><tbody><tr><td><code>action</code></td><td align="center">string</td><td><code>WITHDRAW</code></td></tr><tr><td><code>approvalId</code></td><td align="center">string</td><td>Approval request ID</td></tr><tr><td><code>entity</code></td><td align="center">string</td><td><code>Approval</code></td></tr><tr><td><code>payload</code></td><td align="center">obj</td><td>Returns an <a href="#approvalspayloadobject">ApprovalsPayloadObject</a>.</td></tr><tr><td><code>requestedBy</code></td><td align="center">string</td><td>Username of user who created the approval of request</td></tr><tr><td><code>resource</code></td><td align="center">string</td><td><code>BALANCE</code></td></tr><tr><td><code>reviewRecords</code></td><td align="center">array</td><td>Returns an array of <a href="#reviewrecordsobject">ReviewRecordsObject</a> once the approval request reaches a <a href="/pages/GgrimZxDxmC4ldt0DrhF#resolved-statuses-2">Resolved Status</a>.</td></tr><tr><td><code>status</code></td><td align="center">string</td><td>Approval request status. <br>For more information about statuses view the <a href="/pages/GgrimZxDxmC4ldt0DrhF#approvals">Approvals Status</a> table.</td></tr><tr><td><code>username</code></td><td align="center">string</td><td>Root user of account</td></tr></tbody></table>

### ApprovalsPayloadObject

<table><thead><tr><th width="224.33333333333331">      Parameter</th><th width="168" align="center">Type</th><th>                            Description</th></tr></thead><tbody><tr><td><code>address</code></td><td align="center">string</td><td>Withdrawal address</td></tr><tr><td><code>networkType</code></td><td align="center">string</td><td><code>eth</code> | <code>tron</code> | <code>xlm</code> | <code>maric</code> | <code>ftm</code> <br>For symbols that support multiple networks.<br><br><mark style="color:orange;">NOTE:</mark> only applicable to <strong>USDT, USDC, MATIC</strong> and <strong>FTM.</strong></td></tr><tr><td><code>quantity</code></td><td align="center">number</td><td>The total quantity that the client will receive after withdrawal fees are deducted</td></tr><tr><td><code>grossQuantity</code></td><td align="center">number</td><td>The quantity that is withdrawn from the account</td></tr><tr><td><code>symbol</code></td><td align="center">string</td><td>Currency symbol</td></tr><tr><td><code>tag</code></td><td align="center">string</td><td>Tag set by user to differentiate transactions</td></tr><tr><td><code>transactionType</code></td><td align="center">string</td><td><code>WITHDRAW</code></td></tr></tbody></table>

### ReviewRecordsObject

<table><thead><tr><th width="224.33333333333331">      Parameter</th><th width="168" align="center">Type</th><th>                            Description</th></tr></thead><tbody><tr><td><code>comment</code></td><td align="center">string</td><td>Comment set by reviewer when rejecting or approving an approval request</td></tr><tr><td><code>reviewedAt</code></td><td align="center">string</td><td><code>yyyy-mm-ddThh:mm:ss.sssZ</code><br>UTC time stamp when approval request was rejected or approved by reviewer</td></tr><tr><td><code>reviewedBy</code></td><td align="center">string</td><td>Username of reviewer</td></tr><tr><td><code>status</code></td><td align="center">string</td><td><code>APPROVED</code> | <code>REJECTED</code><br>Decision made by reviewer</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aquanow.io/aquanow/legacy/data-objects-and-statuses/transaction-objects/approval-objects.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
